#!/nfs/team117/gq1/dev/bin/perl -wT
##!/software/bin/perl -wT

#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-12-09
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: npg_qc_api_run_timeline.pl 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/scripts/npg_qc_api_run_timeline.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use npg_qc::api::util;
use LWP::UserAgent;
use Carp;
use English qw{-no_match_vars};
use npg_qc::api::run_timeline;
use Getopt::Long;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);

$ENV{dev} = 'dev';

main();
0;

sub main {
  print qq{Processing...\n};

  my $opts = initialise();

  my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => undef,
    parser    => undef,
  });

  my $run_timeline_api = npg_qc::api::run_timeline->new({util => $util});

  print qq{Created workhorse successfully...\n(this may take a few minutes)...\n};

  eval{
    if($opts->{id_run}){
      $run_timeline_api->set_id_run($opts->{id_run});
      $run_timeline_api->get_run_timeline_from_npg();
    }else{
      $run_timeline_api->save_all_runs_date();
    }
    1; 
  } or do {
    croak $EVAL_ERROR;
  };
  print qq{\nAll processed successfully.\n};
}

# ----------------------------------------------------------------------
sub initialise {

    my %options = (end=>1, update=>0);

    my $rc = GetOptions(\%options,
                        'id_run:i',
                        );
    return \%options;

}
