#########
# Author:        jo3
# Maintainer:    $Author: ajb $
# Created:       30 July 2009
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 60-autoqc-results-gc_bias.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/60-autoqc-results-gc_bias.t $
#

use strict;
use warnings;
use Test::More 'no_plan';
use Test::Deep;
use Test::Exception;
use English qw(-no_match_vars);
use Carp;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/msx; $r; };

use_ok('npg_qc::autoqc::results::gc_bias');

my $r = npg_qc::autoqc::results::gc_bias->new( id_run   => 12,
                                               position => 3,
                                               path     => q[mypath] );

isa_ok ( $r, 'npg_qc::autoqc::results::gc_bias' );
is( $r->check_name(), 'gc bias', 'Check name' );
is( $r->class_name(), 'gc_bias', 'Class name' );

1;
