use strict;
use warnings;
use Test::More tests => 2;
use Test::Exception;
use t::db_util;

use_ok ( 'npg_qc::Schema' );

{
  my $schema_package = q[npg_qc::Schema];
  my $util = t::db_util->new();
  lives_ok
    {$util->new()->create_test_db($schema_package,q[t/data/autoqc/fixtures])}
    'can create sqlite npg-qc db';
}
