#########
# Author:        mg8
# Maintainer:    $Author: ajb $
# Created:       05 August 2009
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 80-autoqc-qc-script.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/80-autoqc-qc-script.t $

use strict;
use warnings;
use Test::More tests => 2;
use Cwd;
use File::Spec::Functions qw(catfile);
use File::Temp qw/tempdir/;

my $path = catfile(cwd, q[t/data/autoqc], q[123456_IL2_2222/Data/Intensities/Bustard-2009-10-01/GERALD-2009-10-01/archive]);
my $odir = tempdir(CLEANUP => 1);

my @args = ("bin/qc", "--position=1", "--check=qX_yield", "--archive_path=$path", "--qc_path=$odir");
is (system(@args), 0, 'script exited normally');

@args = ("bin/qc", "--id_run=2222", "--position=1", "--check=qX_yield", "--tag_index=1", "--qc_in=$path", "--qc_out=$odir");
is (system(@args), 0, 'script exited normally');

1;
